

function drawObjects(hide, trans, scale, rangle)

     
    t = (0:1/3:5/6)*2*pi;
    x = sin(t);
    y = cos(t);
    obj1 = [x; y; ones(1,3)];
    
    t = (1/8:1/4:1)*2*pi;
    x = sin(t);
    y = cos(t);
    obj2 = [x; y; ones(1,4)];

    t = (1/12:1/6:1)*2*pi;
    x = sin(t);
    y = cos(t);
    obj3 = [x; y; ones(1,6)];
    
    t = (1/200:1/100:1)*2*pi;
    x = sin(t);
    y = cos(t);
    obj4 = [x; y; ones(1,100)];
    
    color = ['y' 'c' 'g' 'b'];
    
    for i=1:size(hide,2)
       if (hide(i)==0)
           T = [ 1 0 trans(i, 1);
                 0 1 trans(i, 2);
                 0 0 1           ];
           S = [   scale(i, 1)  0            0;
                    0           scale(i, 2)  0;
                    0           0            1];
           R = [  cos(rangle(i))   -sin(rangle(i))  0;
                  sin(rangle(i))   cos(rangle(i))   0;
                  0             0             1];
           if (i==1) obj = obj1;
           elseif (i==2) obj = obj2;
           elseif (i==3) obj = obj3;
           elseif (i==4) obj = obj4;
           end
           
           dobj = T*S*R*obj;
           colormap(gray);
           fill(dobj(1, :), dobj(2, :), color(i));
           hold on;
       end
    end
    
  	axis([-5 5 -5 5]);
	axis off;
	hidden on;
end
