%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                           %
% Author: Guoqiang Shan (gqshan@temple.edu) %
% Date: September 19, 2004                  %
% Instructor: Dr.Longin Jan Latecki         %
% Course: CIS 601                           %
% Project : Assignment 1 (Movie 2D)         %
%                                           % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% start fresh, cleanup
clear all;
clc;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Initialize AVI Object
aviFileName = '2D.avi';
framesPerSec = 5; 
aviobj = avifile(aviFileName,'fps',framesPerSec);
frame = 1;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% add movie title
x = zeros(600);
    
for i = 1:4
    % show image
    imagesc(x);
    colormap(gray);
    axis off;
    
    % show text
    text(300,100,'CIS 601 Assignment 1','FontSize',16,'FontWeight','bold','Color','c','HorizontalAlignment','center');
    text(300,200,'2D Transformation','FontSize',24,'FontWeight','bold','Color','r','HorizontalAlignment','center');
    text(300,350,'Guoqiang Shan','FontSize',16,'FontWeight','normal','Color','b','HorizontalAlignment','center');
    text(300,420,'September 19, 2004','FontSize',16,'FontWeight','normal','Color','b','HorizontalAlignment','center');

    % store frame
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
    clf;
end


t = (0:1/40:1)*2*pi;
x = 3.5*sin(t);
y = 3.5*cos(t);
s = [(1.5:0.2:2.5) (2.3:-0.2:0.5) (0.7:0.2:2.5) (2.3:-0.2:0.5) (0.7:0.2:1.5)];
r = 0:0.1:0.9;
r = [r r r r 0]*2*pi;

j = 5;
for k = 1:41
    j = j + 1;
    if (j>=41) 
        j = 1;
    end
    drawObjects([0 1 1 1], [x(j) y(j); 0 0; 0 0; 0 0], [s(k) s(k); 1.5 1.5; 1.5 1.5; 1.5 1.5], [r(k) 0 0 0]);
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
	clf;
end
    

j = 15;
for k = 1:41
    j = j + 1;
    if (j>=41) 
        j = 1;
    end
    drawObjects([0 0 1 1], [x(6) y(6); x(j) y(j); 0 0; 0 0], [1.5 1.5; s(k) s(k); 1.5 1.5; 1.5 1.5], [0 r(k) 0 0]);
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
	clf;
end

j = 25;
for k = 1:41
    j = j + 1;
    if (j>=41) 
        j = 1;
    end
    drawObjects([0 0 0 1], [x(6) y(6); x(16) y(16); x(j) y(j); 0 0], [1.5 1.5; 1.5 1.5; s(k) s(k); 1.5 1.5], [0 0 r(k) 0]);
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
	clf;
end

j = 35;
for k = 1:41
    j = j + 1;
    if (j>=41) 
        j = 1;
    end
    drawObjects([0 0 0 0], [x(6) y(6); x(16) y(16); x(26) y(26); x(j) y(j)], [1.5 1.5; 1.5 1.5; 1.5 1.5; s(k) s(k)], [0 0 0 r(k)]);
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
	clf;
end

x = zeros(600);
for i = 1:4
    
    % show image
    imagesc(x);
    colormap(gray);
    axis off;
    
    % show text
    text(300,300,'The End','FontSize',24,'FontWeight','bold','Color','b','HorizontalAlignment','center');

    % store frame
    aviobj = addframe(aviobj,getframe);
	frame = frame + 1;
    clf;
end

aviobj = close(aviobj);
